## pwndck 0.5.1

=== requirements.txt ===
argparse-formatter==1.4
brotli==1.2.0
certifi==2025.11.12
charset-normalizer==3.4.4
idna==3.11
pwndck==0.2
requests==2.32.5
urllib3==2.6.2

## pwndck 0.1

=== debian/changelog ===
pwndck (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1118480)

 -- David Steele <steele@debian.org>  Mon, 20 Oct 2025 23:52:08 -0400

=== debian/control ===
Source: pwndck
Priority: optional
Section: misc
Maintainer: David Steele <steele@debian.org>
Build-Depends:
    debhelper-compat (=12),
    pybuild-plugin-pyproject,
    dh-python,
    python3 (>= 3.9),
    python3-poetry,
    pandoc,
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Homepage: https://github.com/davesteele/pwndck
Vcs-Git: https://github.com/davesteele/pwndck.git -b debian
Vcs-Browser: https://github.com/davesteele/pwndck

Package: pwndck
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends},
    python3-requests,
Description: Check passwords against the HaveIBeenPwned leak database
 pwndck queries the HaveIBeenPwned password leak database, returning the number
 of times the password has been identified as leaked. It uses the published
 API, and requires no authentication.

## pwndck 0.2

=== debian/changelog ===
pwndck (0.2-3) unstable; urgency=medium

  * Failed dput.

 -- David Steele <steele@debian.org>  Sun, 26 Oct 2025 15:45:29 -0400

pwndck (0.2-2) unstable; urgency=medium

  * Update debhelper and Policy versions.

 -- David Steele <steele@debian.org>  Sun, 26 Oct 2025 13:45:52 -0400

pwndck (0.2-1) unstable; urgency=medium

  * Add padding.
  * Add a PwndCk User Agent.

 -- David Steele <steele@debian.org>  Fri, 24 Oct 2025 23:18:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: misc
 Maintainer: David Steele <steele@debian.org>
 Build-Depends:
-    debhelper-compat (=12),
+    debhelper-compat (=13),
     pybuild-plugin-pyproject,
     dh-python,
     python3 (>= 3.9),
     python3-poetry,
     pandoc,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/davesteele/pwndck
 Vcs-Git: https://github.com/davesteele/pwndck.git -b debian
@@ -21,6 +21,7 @@
     ${python3:Depends},
     ${misc:Depends},
     python3-requests,
+    python3-brotli,
 Description: Check passwords against the HaveIBeenPwned leak database
  pwndck queries the HaveIBeenPwned password leak database, returning the number
  of times the password has been identified as leaked. It uses the published

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test
export PYBUILD_NAME=pwndck

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	pandoc debian/pwndck.1.md -s -t man -o debian/pwndck.1
	sed -i 's/\\\[en\]/\\\-/' debian/pwndck.1

## pwndck 0.5

=== debian/changelog ===
pwndck (0.5-1) unstable; urgency=medium

  * Rework API for module use.
  * Align columns in verbose mode.
  * Add devtest.

 -- David Steele <steele@debian.org>  Thu, 12 Feb 2026 14:28:47 -0500

pwndck (0.4-1) UNRELEASED; urgency=medium

  * Add testing.
  * Clean up copyright.

 -- David Steele <steele@debian.org>  Sun, 14 Dec 2025 10:50:36 -0500

pwndck (0.3-1) UNRELEASED; urgency=medium

  * Support processing of multiple passwords.
  * Support a password input file.
  * General cleanup.

 -- David Steele <steele@debian.org>  Thu, 04 Dec 2025 18:07:00 -0500

pwndck (0.2-2) UNRELEASED; urgency=medium

  * Update debhelper and Policy versions.

 -- David Steele <steele@debian.org>  Sun, 26 Oct 2025 13:45:52 -0400

pwndck (0.2-1) UNRELEASED; urgency=medium

  * Add padding.
  * Add a PwndCk User Agent.

 -- David Steele <steele@debian.org>  Fri, 24 Oct 2025 23:18:56 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,14 @@
     python3 (>= 3.9),
     python3-poetry,
     pandoc,
+    python3-pytest,
+    python3-pytest-mock,
 Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/davesteele/pwndck
 Vcs-Git: https://github.com/davesteele/pwndck.git -b debian
 Vcs-Browser: https://github.com/davesteele/pwndck
+Testsuite: autopkgtest-pkg-python
 
 Package: pwndck
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 	dh_auto_build
 	pandoc debian/pwndck.1.md -s -t man -o debian/pwndck.1
 	sed -i 's/\\\[en\]/\\\-/' debian/pwndck.1
+
+override_dh_auto_test:
+	pytest -m "not webtest"

=== debian/tests/control ===

Test-Command: pytest -m "not webtest"
Depends: @, @builddeps@
Features: test-name=pytest-local

Test-Command: pytest -m "webtest"
Depends: @, @builddeps@
Features: test-name=pytest-internet
Restrictions: needs-internet

=== debian/watch ===
version=4

https://github.com/davesteele/pwndck/tags \
/davesteele/pwndck/archive/refs/tags/pwndck-(.*)\.tar\.gz

## pwndck 0.5.1

=== debian/changelog ===
pwndck (0.5.1-3) unstable; urgency=medium

  * Reupload with source.

 -- David Steele <steele@debian.org>  Sun, 22 Feb 2026 21:06:51 -0500

pwndck (0.5.1-2) UNRELEASED; urgency=medium

  * Add requests to build depends, for testing.

 -- David Steele <steele@debian.org>  Sun, 22 Feb 2026 15:37:32 -0500

pwndck (0.5.1-1) UNRELEASED; urgency=medium

  * Clean up documentation.
  * Improve tests.

 -- David Steele <steele@debian.org>  Sun, 22 Feb 2026 12:16:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: pwndck
-Priority: optional
 Section: misc
 Maintainer: David Steele <steele@debian.org>
 Build-Depends:
@@ -7,16 +6,18 @@
     pybuild-plugin-pyproject,
     dh-python,
     python3 (>= 3.9),
-    python3-poetry,
+    python3-poetry-core,
     pandoc,
     python3-pytest,
     python3-pytest-mock,
-Standards-Version: 4.7.2
+    python3-requests,
+Standards-Version: 4.7.3
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/davesteele/pwndck
 Vcs-Git: https://github.com/davesteele/pwndck.git -b debian
-Vcs-Browser: https://github.com/davesteele/pwndck
-Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://github.com/davesteele/pwndck/tree/debian
+Testsuite: autopkgtest-pkg-pybuild
+
 
 Package: pwndck
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-export PYBUILD_DISABLE=test
 export PYBUILD_NAME=pwndck
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	./debian/release_check || echo "\nRELEASE CHECK FAILURE\n"
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
Version: 5
Template: GitHub
Owner: davesteele
Project: pwndck

## pwndck 0.6

=== debian/changelog ===
pwndck (0.6-1) unstable; urgency=medium

  * Added a HIBP password database size estimator
  * Source refactoring

 -- David Steele <steele@debian.org>  Sun, 01 Mar 2026 22:59:23 -0500
